#ifndef __VLP_QTCONFIGURATIONFINDER_H
#define __VLP_QTCONFIGURATIONFINDER_H

#include <string>
#include "ConfigurationFinder.h"

/**
 * @file
 * @brief Qt Configuration file finding utilities
 * @author Rafał Długołęcki
 */

namespace loglan {
namespace vlp {

/**
 * Qt implementation of ConfigurationFinder
 */
class QtConfigurationFinder : public ConfigurationFinder {
public:
	virtual std::string getUserConfigurationDir();
};

}
}


#endif /* __VLP_QTCONFIGURATIONFINDER_H */