#ifndef __VLP_EXCEPTION_CONFIGFILENOTFOUND_H
#define __VLP_EXCEPTION_CONFIGFILENOTFOUND_H

#include <stdexcept>

/**
 * @file
 * @author Rafał Długołęcki
 */

namespace loglan {
namespace vlp {
namespace exception {

/**
 * Exception thrwon when configuration file has not been found
 */
class ConfigFileNotFound : public std::runtime_error
{
public:
	ConfigFileNotFound() :
		std::runtime_error("Configuration file has not been found") {
	}
};

}
}
}

#endif /* __VLP_EXCEPTION_CONFIGFILENOTFOUND_H */
