#ifndef _VLP_KERNEL_CONNECTDIALOG_H
#define _VLP_KERNEL_CONNECTDIALOG_H

#include <QtGui/QDialog>
#include <QtCore/QString>

#include "ui/dialogs/ConnectDialog.h"

/**
 * @file
 */

namespace loglan {
namespace vlp {
namespace dialog {

/**
 * Kill Interpreter Dialog class
 */
class ConnectDialog : public QDialog, private Ui::ConnectDialog {
public:
	ConnectDialog(QWidget * parent = 0);
	~ConnectDialog();

	QString getAddress();
};

}
}
}

#endif /* _VLP_KERNEL_CONNECTDIALOG_H */
