#include "ProgramStructureDialog.h"

namespace loglan {
namespace vlp {
namespace dialog {


ProgramStructureDialog::ProgramStructureDialog(QWidget * parent)
	: QDialog(parent)
{
	setupUi(this);
	
	connect(buttonBox, SIGNAL(accepted()), this, SLOT(accept()));
	connect(buttonBox, SIGNAL(rejected()), this, SLOT(reject()));
}

ProgramStructureDialog::~ProgramStructureDialog()
{
}

QString ProgramStructureDialog::getProgramName()
{
	return lineEdit->text();
}

QString ProgramStructureDialog::getCode()
{
	QString code;
	code.sprintf("PROGRAM %s\n\nBEGIN\n\nEND", getProgramName().toStdString().c_str());
	return code;
}

}
}
}
