#ifndef _VLP_LGCONFIG_H
#define _VLP_LGCONFIG_H

#include <QtGui/QMainWindow>
#include <QtCore/QList>

#include "ui/VLPConfigWindow.h"

/**
 * @file
 */

namespace loglan {
namespace vlp {

class VLPEntry {
public:
	int ID;
	char addr[255];
	/** 0 - explicit */
	int type;
	char progdir[255];
	char homedir[255];
	char item[255];
};

class QInstall: public QMainWindow, private Ui::VLPConfigWindow {
	Q_OBJECT
public:
	QList<VLPEntry*> nodes;

	/**
	 * Class constructor
	 */
	QInstall();

private slots:
	void on_actionConfigure_triggered();
	void on_actionQuit_triggered();
};

}
}

#endif /* _VLP_LGCONFIG_H */
